%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

%
% GenericSpline.m
%
% multi-dimensional spline interpolation using 'spapi'
%
%   xGrids: cell matrix of values of grid poins for each dim.
%   yArray: multi-dimensional array of state/observation values on each grid point
%   result: interpolated function handler
%
function result = GenericSpline(xGrids, yArray)
  knots = num2cell(repmat(3, 1, length(xGrids))); % TODO knots
  if size(xGrids, 2) == 1
    y = yArray';
  else
    y = yArray;
  end
  sp = spapi(knots, xGrids, y);
  result = @(x) (fnval(sp, x));
end
