%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

%
% MotionCapturePMCMC2Test.m
%

rng('default');

files = dir('data/amc_files/*.amc');
models = dir('logs/*_200.mat');

N = 500;

for file = files'

  amcFile = ['data/amc_files/' file.name];
  amcId = strsplit(file.name, '.');
  amcId = amcId{1};

  [x, y] = MotionCapture(amcFile, 1:3, 1:3);

  for model = models'

    modelFile = ['logs/' model.name];
    modelId = strsplit(model.name, '_');
    modelId = [modelId{1} '_' modelId{2}];

    outputFileBase = ['logs.test/' amcId '_' modelId];

    aspect = Aspect();
    aspect.LogFileName = [outputFileBase '.log'];

    aspect.Log('Testing %s: model = %s\n', char(amcId), char(modelId));

    [result, F, G] = MCDCTest( ...
      []', ...
      y', ...
      N, ...
      modelFile ...
    );

    outputFile = [outputFileBase '.mat'];
    save(outputFile);

  end

end
