%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

function classify_row = MotionCapture_classify_subject(subject)

    num_subject = numel(subject);

    classify_row = zeros(1, 4);
    for i = 1 : num_subject
        files = dir(['logs.test/' char(subject(i)) '_*.mat']);
        num_file = numel(files);
        all_loglike = zeros(num_file, 1);

        file_counter = 1;
        for result_file = files'
            load(['logs.test/' result_file.name]);
            all_loglike(file_counter) = result.Loglik;
            file_counter = file_counter + 1;
        end

        [~, max_ind] = max(all_loglike);

        if (1 <= max_ind && max_ind <= 4) % 03
            classify_row(1, 1) = classify_row(1, 1) + 1;
        elseif (5 <= max_ind && max_ind <= 24) % 05
            classify_row(1, 2) = classify_row(1, 2) + 1;
        elseif (25 <= max_ind && max_ind <= 36) % 07
            classify_row(1, 3) = classify_row(1, 3) + 1;
        elseif (37 <= max_ind && max_ind <= 49) % 09
            classify_row(1, 4) = classify_row(1, 4) + 1;
        end
    end
end
