%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

function plotKitagawa_weight (matfile)
    [~, in, out] = MCDCMatFile.Load(matfile);

    N = in.N;

    figure(20); clf;
    time = 2;
    set(0,'defaultAxesFontSize',17);
    waterfall([1 : 100], [1 : N], out.weight(:, 1 : 100, time));
    xlim([1 100]);
    xlabel('Observation Time');
    ylabel('Particle Index');
    zlabel('Weight');

    file_name = sprintf('plots/KitagawaModelPMCMC2_weight_4th.png');
    saveas(gcf, file_name);

    file_name = sprintf('plots/KitagawaModelPMCMC2_weight_4th.eps');
    print('-r0','-depsc2', file_name);

    figure(21); clf;
    time = 9;
    set(0,'defaultAxesFontSize',17);
    waterfall([1 : 100], [1 : N], out.weight(:, 1 : 100, time));
    xlim([1 100]);
    xlabel('Observation Time');
    ylabel('Particle Index');
    zlabel('Weight');

    file_name = sprintf('plots/KitagawaModelPMCMC2_weight_40th.png');
    saveas(gcf, file_name);

    file_name = sprintf('plots/KitagawaModelPMCMC2_weight_40th.eps');
    print('-r0','-depsc2', file_name);

end
